/********************************************************************
 *                                                                  *
 * THIS FILE IS PART OF THE TVPAINT ANIMATION LOADER/SAVER PLUGINS  *
 * SOURCE CODE.  													*
 *																	*
 * USE, DISTRIBUTION AND REPRODUCTION OF THIS LIBRARY SOURCE IS     *
 * GOVERNED BY A FREEBSD SOURCE LICENSE INCLUDED WITH THIS SOURCE   *
 * IN 'COPYING'. PLEASE READ THESE TERMS BEFORE DISTRIBUTING.       *
 *                                                                  *
 * THE TVPAINT ANIMATION LOADER/SAVER PLUGINS SOURCE CODE IS (C)    *
 * COPYRIGHT 2010-2015 BY THE TVPAINT DEVELOPPEMENT COMPANY         *
 * http://www.tvpaint.com/                                          *
 *                                                                  *
 ********************************************************************/

// ==================================================================
/** @file SaverFFmpeg.cpp
      @brief Main
     @author Michael Schreiner & Eric SCHOLL
      $Date: $
        $Id: $
  @copyright (c) 2010-2015 TVPaint Developpement. All Rights Reserved.
*/
// ==================================================================


#ifndef __FORMAT_SAVERFFMPEG_HH
#include "Format.SaverFFmpeg.h"
#endif

#if defined( WIN32 ) || defined( WIN64 )
	#define DECLSPEC __declspec( dllexport )
#else
    #define DECLSPEC
#endif


/** The types of the class factories */
extern "C"
DECLSPEC
cSaverFormat* CreateSaverFormatQT()
{
   return new cSaverFormatFFmpeg( cSaverFormatFFmpeg::kFormatQT );
}

extern "C"
DECLSPEC
cSaverFormat* CreateSaverFormatMP4()
{
   return new cSaverFormatFFmpeg( cSaverFormatFFmpeg::kFormatMP4 );
}

extern "C"
DECLSPEC
cSaverFormat* CreateSaverFormatMKV()
{
    return new cSaverFormatFFmpeg(cSaverFormatFFmpeg::kFormatMKV);
}


extern "C"
DECLSPEC
cSaverFormat* CreateSaverFormatWebP()
{
    return new cSaverFormatFFmpeg( cSaverFormatFFmpeg::kFormatWebP );
}

extern "C"
DECLSPEC
cSaverFormat* CreateSaverFormatWebM()
{
    return new cSaverFormatFFmpeg( cSaverFormatFFmpeg::kFormatWebM );
}

